# Gimp.message_get_handler

    function message_get_handler(): Gimp.MessageHandlerType {
        // Gjs wrapper for gimp_message_get_handler()
    }

Returns the current state of where warning messages are displayed.

This procedure returns the way g_message warnings are displayed. They can be shown in a dialog box or printed on the console where gimp was started.

Returns

  The current handler type.